Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023653
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorrandom2013-04-26 15:012013-04-30 21:05
ReporterjecharriView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchFixed in SCM revision23cf0735e7c3
ProjectionnoneETAnoneTarget Version3.0MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023653: Incorrect execution time for daily processes scheduled PM

DescriptionProcesses scheduled to be executed daily starting from 13:00:00 to 00:59:59 (Server local time) are incorrectly rescheduled after Tomcat restart if the process has been run at least once.

After restart the starting hour changes -12 hours, for example if scheduled to 0:00:00, it becomes in 12:00:00, for all subsequent executions.

Note this doesn't affect to other schedul plans such as monthly, last day of month, etc


Workaround: till this patch is applied, in order to ensure correct time execution, do not schedule processes to be run PM.
Steps To Reproduce1- Create a new process scheduled to be run daily at 15:00. If tomcat is not restarted subsequent executions will also be at 15:00.
2- Wait till 15:00, the process is correctly executed -> OK
3- Restart tomcat
4- Following executions of this process will take place at 3:00 -> INCORRECT

Note: if after step #3 and before #4 Tomcat is restarted again the process will be run at 15:00 till next restart.

TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00237673.0MP24 closedalostale Background process scheduled weekly executed after restart tomcat 

-  Notes
(0058302)
hgbot (developer)
2013-04-29 16:31

Repository: erp/devel/pi
Changeset: 23cf0735e7c3abcb1763cdc07b9c20ce69ec675d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 06 16:17:45 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/23cf0735e7c3abcb1763cdc07b9c20ce69ec675d [^]

fixed bug 23653: Incorrect execution time for daily processes scheduled PM

  - Date format to retrieve next fire time from DB was incorrect (java format
    instead of SQL one): as this is queried to be consumed internally don't use
    any configurable formatting but a hardcoded one.
  - Do not remove next fire time from DB when a process is scheduled.
  - Added debugging log.

---
M src/org/openbravo/scheduling/OBScheduler.java
M src/org/openbravo/scheduling/ProcessMonitor.java
M src/org/openbravo/scheduling/ProcessRequest_data.xsql
M src/org/openbravo/scheduling/Trigger_data.xsql
---
(0058303)
alostale (developer)
2013-04-29 16:32

Known issue: current fix does not solve instances with process is status #4 (see steps to reproduce).

In this cases execute this script in DB:

update ad_process_request set previous_fire_time = null;
(0058344)
AugustoMauch (developer)
2013-04-30 12:27

Code reviewed and verified in pi@a7efc1231554
(0058383)
hudsonbot (developer)
2013-04-30 21:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3ea22ca7a348 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-04-26 15:01 jecharri New Issue
2013-04-26 15:01 jecharri Assigned To => AugustoMauch
2013-04-26 15:01 jecharri Web browser => Google Chrome
2013-04-26 15:01 jecharri Modules => Core
2013-04-26 15:01 jecharri Triggers an Emergency Pack => No
2013-04-29 12:11 AugustoMauch Assigned To AugustoMauch => alostale
2013-04-29 13:52 egoitz Issue Monitored: egoitz
2013-04-29 16:02 alostale Web browser Google Chrome => Google Chrome
2013-04-29 16:02 alostale Description Updated View Revisions
2013-04-29 16:02 alostale Steps to Reproduce Updated View Revisions
2013-04-29 16:02 alostale Web browser Google Chrome => Google Chrome
2013-04-29 16:02 alostale Summary When you schedule a process it can not work fine => Incorrect execution time for daily processes scheduled PM
2013-04-29 16:08 alostale Web browser Google Chrome => Google Chrome
2013-04-29 16:08 alostale Description Updated View Revisions
2013-04-29 16:08 alostale Steps to Reproduce Updated View Revisions
2013-04-29 16:10 alostale Tag Attached: Performance
2013-04-29 16:10 alostale Review Assigned To => AugustoMauch
2013-04-29 16:10 alostale Web browser Google Chrome => Google Chrome
2013-04-29 16:31 hgbot Checkin
2013-04-29 16:31 hgbot Note Added: 0058302
2013-04-29 16:31 hgbot Status new => resolved
2013-04-29 16:31 hgbot Resolution open => fixed
2013-04-29 16:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/23cf0735e7c3abcb1763cdc07b9c20ce69ec675d [^]
2013-04-29 16:32 alostale Note Added: 0058303
2013-04-30 12:27 AugustoMauch Note Added: 0058344
2013-04-30 12:27 AugustoMauch Status resolved => closed
2013-04-30 12:27 AugustoMauch Fixed in Version => 3.0MP23
2013-04-30 21:05 hudsonbot Checkin
2013-04-30 21:05 hudsonbot Note Added: 0058383
2013-05-09 08:23 alostale Relationship added related to 0023767


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker